D_ALLOC_ROOT(9)

NAME
d_alloc_root - allocate root dentry

SYNOPSIS

struct dentry * d_alloc_root (struct inode * root_inode);

ARGUMENTS

root_inode
    inode to allocate the root for

DESCRIPTION

Allocate a root (``/'') dentry for the inode given. The inode is instantiated and returned. NULL is returned if there is insufficient memory or the inode passed is NULL.